{% extends "organization/layout_organization.html" %}
{% load i18n %}
{% load sekizai_tags %}


{% block page %}
    <ul class="nav nav-tabs" id='crops-tab' role="tablist">
        <li role="presentation" class="active"><a href="#crops_tab" aria-controls="crops_tab" role="tab" data-toggle="tab">{% trans "Crops" %}</a></li>
        {# Crop Tab is disable due to RVO not functionaning #}
        {% if language == 'nl' and RVO_ENABLED  %}
            <li role="presentation"><a href="#map_tab" id="map-tab-btn" aria-controls="map_tab" role="tab" data-toggle="tab">{% trans "Plot map" %}</a></li>
        {% endif %}
    </ul>
    <div class="tab-content">
        <div role="tabpanel" class="tab-pane in active" id="crops_tab">
            <div id="product-type-select-modal"></div>
            {% addtoblock "javascript" %}
                <script>
                    app.ProductListApp( 'product-type-select-modal' );
                </script>
            {% endaddtoblock %}
        </div>
        {# Crop Tab is disable due to RVO not functionaning #}
        {% if language == 'nl' and RVO_ENABLED %}
            <div role="tabpanel" class="tab-pane" id="map_tab">
              <div id="crop-plot"></div>
              {% addtoblock "javascript" %}
                  <script>
                      $('#map-tab-btn').on('shown.bs.tab', function () {
                        app.cropsPlot( 'crop-plot' );
                      })
                  </script>
              {% endaddtoblock %}
            </div>
        {% endif %}
    </div>

{% endblock %}
